#ifndef VIRTUAL_BLOCK_IOCTL_H
#define VIRTUAL_BLOCK_IOCTL_H

#define VIRTUAL_BLOCK_MAJOR	240

#define ROOTFS_UBI_NAME_LEN	32
#define KEY_LEN			16

struct virtual_block_ioctl {
	int rootfs_size;
	int rootfs_name_len;
	char rootfs_ubi_name[ROOTFS_UBI_NAME_LEN];
	char key[KEY_LEN];
};

#define VIRTUAL_BLOCK_CTL_SET_CONFIG		1
#define VIRTUAL_BLOCK_CTL_GET_CONFIG		2
#define VIRTUAL_BLOCK_CTL_COMMIT		3
#define VIRTUAL_BLOCK_CTL_CHECK			4
#define VIRTUAL_BLOCK_CTL_COMPLETE		5
#define VIRTUAL_BLOCK_CTL_GET_CRC		6

#define	VIRTUAL_BLOCK_SET_CONFIG	_IO(VIRTUAL_BLOCK_MAJOR,VIRTUAL_BLOCK_CTL_SET_CONFIG) 
#define	VIRTUAL_BLOCK_GET_CONFIG	_IO(VIRTUAL_BLOCK_MAJOR,VIRTUAL_BLOCK_CTL_GET_CONFIG)
#define VIRTUAL_BLOCK_COMMIT		_IO(VIRTUAL_BLOCK_MAJOR,VIRTUAL_BLOCK_CTL_COMMIT)
#define VIRTUAL_BLOCK_CHECK		_IO(VIRTUAL_BLOCK_MAJOR,VIRTUAL_BLOCK_CTL_CHECK)
#define VIRTUAL_BLOCK_COMPLETE		_IO(VIRTUAL_BLOCK_MAJOR,VIRTUAL_BLOCK_CTL_COMPLETE)
#define VIRTUAL_BLOCK_GET_CRC		_IO(VIRTUAL_BLOCK_MAJOR,VIRTUAL_BLOCK_CTL_GET_CRC)

#endif
